QGIS Application - Bug report #11765

Untranslatable strings from ./src/core/qgscolorscheme.h

2014-12-01 12:02 AM - zirneklitis -

Status: Closed

Priority: Normal

Assignee: QGIS Translation Team
Category: Translations and international

Affected QGIS version:master
Operating System: any
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 19997

Description

The translation for the strings included in the file ./src/core/qgscolorscheme.h does not work. There are three translatable strings:

virtual QString schemeName() const { return QT_TR_NOOP( "Recent colors" ); }

virtual QString schemeName() const { return QT_TR_NOOP( "Standard colors" ); }
virtual QString schemeName() const { return QT_TR_NOOP( "Project colors" ); }

They are recognized and extracted in *.ts file with "lupdate-qt4". But the translation does not work, e.g., no luck with:

&lt;context&gt;
&lt;name&gt;QgsRecentColorScheme&lt;/name&gt;
&lt;message&gt;

&lt;location filename="qgis/src/core/qgscolorscheme.h" line="-50"/&gt;

&lt;source&gt;Recent colors&lt;/source&gt;

&lt;translation type="unfinished"&gt;Nesen lietotas krasas&lt;/translation&gt;

&lt;/message&gt;
&lt;/context&gt;
(see the attached screen shot)

Associated revisions

Revision df7e07bc - 2015-05-22 10:21 PM - Nyall Dawson

Fix untranslatable strings (fix #11765)

Revision b3f9b66a - 2015-06-24 01:28 PM - Nyall Dawson

Fix untranslatable strings (fix #11765)

cherry-picked from df7e07bcf7889¢79297eb5ff25ca6244ec71c82b

History

#1 - 2015-05-22 01:21 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"df7e07bcf7889¢79297eb5ff25ca6244ec71c82b".
